export declare const MODAL_BOTTOM_BAR_WRAPPER_ID = "fun-modal-bottom-bar-wrapper";
export declare const MODAL_BOTTOM_BAR_IDS: {
    readonly checkout: "checkout-modal-bottom-bar";
    readonly withdrawal: "withdrawal-modal-bottom-bar";
    readonly connectwallet: "connect-wallet-modal-bottom-bar";
};
type ModalBottomBarIdType = keyof typeof MODAL_BOTTOM_BAR_IDS;
export declare function useBottomSectionRef(modalBottomBarIdType?: ModalBottomBarIdType): HTMLElement | null;
export declare const CHECKOUT_MODAL_TITLE_COUNTDOWN_ID = "checkout-modal-title-countdown";
export declare function useTitleCountdownRef(): HTMLElement | null;
export declare function useGeneralBottomBarElement(): HTMLElement | null;
export declare function useCheckoutBottomBarElement(): HTMLElement | null;
export declare function useWithdrawalBottomBarElement(): HTMLElement | null;
export declare function useConnectWalletBottomBarElement(): HTMLElement | null;
/**
 * Hook to observe if a ref's children are empty, with special handling for bottom bar nodes.
 * @param ref - React ref to the DOM node to observe
 * @param setHasNoChildren - Setter to update if the node has no children
 */
export declare function useBottomBarHasNoChildren(): boolean;
export {};
